Package ru.bitel.bgbilling.modules.card.server.bean

# Class CardSeries

java.lang.Object
ru.bitel.bgbilling.modules.card.server.bean.CardSeries

public class CardSeries extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CardSeries()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractPatternId()`
  `String`
  `getContractPatternTitle()`
  `Calendar`
  `getDate1()`
  `Calendar`
  `getDate2()`
  `int`
  `getFreeCard()`
  `int`
  `getId()`
  `int`
  `getPaymentTypeId()`
  `String`
  `getPaymentTypeTitle()`
  `int`
  `getServiceActivate()`
  `String`
  `getServiceActivateTitle()`
  `int`
  `getServiceBalance()`
  `String`
  `getServiceBalanceTitle()`
  `float`
  `getSumm()`
  `String`
  `getTitle()`
  `void`
  `setContractPatternId(int contractPatternId)`
  `void`
  `setContractPatternTitle(String contractPatternTitle)`
  `void`
  `setDate1(Calendar date1)`
  `void`
  `setDate2(Calendar date2)`
  `void`
  `setFreeCard(int freeCard)`
  `void`
  `setId(int id)`
  `void`
  `setPaymentTypeId(int paymentTypeId)`
  `void`
  `setPaymentTypeTitle(String paymentTypeTitle)`
  `void`
  `setServiceActivate(int serviceActivate)`
  `void`
  `setServiceActivateTitle(String serviceActivateTitle)`
  `void`
  `setServiceBalance(int serviceBalance)`
  `void`
  `setServiceBalanceTitle(String serviceBalanceTitle)`
  `void`
  `setSumm(float summ)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CardSeries

    public CardSeries()

- ## Method Details

  - ### getFreeCard

    public int getFreeCard()

  - ### setFreeCard

    public void setFreeCard(int freeCard)

  - ### getContractPatternId

    public int getContractPatternId()

  - ### setContractPatternId

    public void setContractPatternId(int contractPatternId)

  - ### getDate1

    public Calendar getDate1()

  - ### setDate1

    public void setDate1(Calendar date1)

  - ### getDate2

    public Calendar getDate2()

  - ### setDate2

    public void setDate2(Calendar date2)

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getPaymentTypeId

    public int getPaymentTypeId()

  - ### setPaymentTypeId

    public void setPaymentTypeId(int paymentTypeId)

  - ### getServiceActivate

    public int getServiceActivate()

  - ### setServiceActivate

    public void setServiceActivate(int serviceActivate)

  - ### getServiceBalance

    public int getServiceBalance()

  - ### setServiceBalance

    public void setServiceBalance(int serviceBalance)

  - ### getSumm

    public float getSumm()

  - ### setSumm

    public void setSumm(float summ)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getContractPatternTitle

    public String getContractPatternTitle()

  - ### setContractPatternTitle

    public void setContractPatternTitle(String contractPatternTitle)

  - ### getPaymentTypeTitle

    public String getPaymentTypeTitle()

  - ### setPaymentTypeTitle

    public void setPaymentTypeTitle(String paymentTypeTitle)

  - ### getServiceActivateTitle

    public String getServiceActivateTitle()

  - ### setServiceActivateTitle

    public void setServiceActivateTitle(String serviceActivateTitle)

  - ### getServiceBalanceTitle

    public String getServiceBalanceTitle()

  - ### setServiceBalanceTitle

    public void setServiceBalanceTitle(String serviceBalanceTitle)